ApiMr2AppInformation (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiMr2AppInformation

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiMr2AppInformation

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiMr2AppInformation
      extends Object

  Represents MapReduce2 information for a YARN application.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiMr2AppInformation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getJobState()` The state of the job.
    `int` | `hashCode()`
    `ApiMr2AppInformation` | `jobState(String jobState)`
    `void` | `setJobState(String jobState)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiMr2AppInformation

          public ApiMr2AppInformation()

  - ### Method Detail

    - #### jobState

          public ApiMr2AppInformation jobState(String jobState)

    - #### getJobState

          public String getJobState()

      The state of the job. This is only set on completed jobs. This can take on the following values: \"NEW\", \"INITED\", \"RUNNING\", \"SUCCEEDED\", \"FAILED\", \"KILLED\", \"ERROR\".
      Returns:
        jobState

    - #### setJobState

          public void setJobState(String jobState)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.